
Foreman - Bug #14393

Missing icons on smart_proxy/show page

03/30/2016 05:13 AM - Ondřej Pražák

Status: Closed   

Priority: Normal   

Assignee: Ondřej Pražák   

Category: Web Interface   

Target version: 1.11.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1313806 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3375

  

Description

There are persistent routing errors as a result of missing fonts on the smart_proxy/show page:

2016-03-02 12:34:01 [app] [I] Started GET "/assets/fonts/bootstrap/glyphicons-halflings-regular.woff" for 10.65.193.200 at

2016-03-02 12:34:01 +0100

2016-03-02 12:34:01 [app] [F] | ActionController::RoutingError (No route matches [GET]

"/assets/fonts/bootstrap/glyphicons-halflings-regular.woff"): | actionpack (4.1.5)

lib/action_dispatch/middleware/debug_exceptions.rb:21:in `call' | actionpack (4.1.5)

lib/action_dispatch/middleware/show_exceptions.rb:30:in `call'

Related issues:

Related to Foreman - Bug #14028: Routing errors due to missing graphics/fonts... Closed 03/02/2016

Associated revisions

Revision 8b9d6f4a - 03/31/2016 05:05 AM - Ondřej Pražák

Fixes #14393 - Using patternfly icons instead of glyphicons

Revision aff19f90 - 04/18/2016 01:45 PM - Ondřej Pražák

Fixes #14393 - Using patternfly icons instead of glyphicons

(cherry picked from commit 8b9d6f4a20bc10d452fb742bb0d358fd23b5a429)

History

#1 - 03/30/2016 05:21 AM - Dominic Cleal

- Category set to Web Interface

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3375 added

#2 - 03/31/2016 01:47 AM - Ondřej Pražák

- Related to Bug #14028: Routing errors due to missing graphics/fonts on navigating smart-proxy page added

#3 - 03/31/2016 06:04 AM - Ondřej Pražák

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 8b9d6f4a20bc10d452fb742bb0d358fd23b5a429.

#4 - 03/31/2016 06:35 AM - Dominic Cleal

- translation missing: en.field_release set to 141

#5 - 04/25/2016 02:11 PM - Bryan Kearney
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/8b9d6f4a20bc10d452fb742bb0d358fd23b5a429


- Bugzilla link set to 1313806
